Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Snow

post
Body
apiKeystring · nullableOptional
samaccountstring · nullableOptional
directoryidstring · nullableOptional
bundleidstring · nullableOptional
modestring · nullableOptional
encryptRootVolumebooleanOptional
encryptUserVolumebooleanOptional
workSpaceIdstring · nullableOptional
Responses
200

OK

No content

post/api/Snow/CreateWorkSpace
POST /api/Snow/CreateWorkSpace HTTP/1.1
Host: portal.nuvens.cloud/
Content-Type: application/json
Accept: */*
Content-Length: 200

{
  "apiKey": "text",
  "samaccount": "text",
  "directoryid": "text",
  "bundleid": "text",
  "mode": "text",
  "encryptRootVolume": true,
  "encryptUserVolume": true,
  "workSpaceId": "text",
  "tags": [
    {
      "key": "text",
      "value": "text"
    }
  ]
}
200

OK

No content

post
Body
apiKeystring · nullableOptional
samaccountstring · nullableOptional
directoryidstring · nullableOptional
bundleidstring · nullableOptional
modestring · nullableOptional
encryptRootVolumebooleanOptional
encryptUserVolumebooleanOptional
workSpaceIdstring · nullableOptional
Responses
200

OK

No content

post/api/Snow/TerminateWorkSpace
POST /api/Snow/TerminateWorkSpace HTTP/1.1
Host: portal.nuvens.cloud/
Content-Type: application/json
Accept: */*
Content-Length: 200

{
  "apiKey": "text",
  "samaccount": "text",
  "directoryid": "text",
  "bundleid": "text",
  "mode": "text",
  "encryptRootVolume": true,
  "encryptUserVolume": true,
  "workSpaceId": "text",
  "tags": [
    {
      "key": "text",
      "value": "text"
    }
  ]
}
200

OK

No content

post
Body
apiKeystring · nullableOptional
usernamestring · nullableOptional
directoryidstring · nullableOptional
workSpaceIdstring · nullableOptional
requesterstring · nullableOptional
Responses
200

OK

No content

post/api/Snow/TerminateWorkSpaceV2
POST /api/Snow/TerminateWorkSpaceV2 HTTP/1.1
Host: portal.nuvens.cloud/
Content-Type: application/json
Accept: */*
Content-Length: 96

{
  "apiKey": "text",
  "username": "text",
  "directoryid": "text",
  "workSpaceId": "text",
  "requester": "text"
}
200

OK

No content

post
Body
apiKeystring · max: 500 · nullableOptional
userNamestring · max: 150 · nullableOptional
directoryIdstring · max: 100 · nullableOptional
bundleIdstring · max: 100 · nullableOptional
modestring · max: 100 · nullableOptional
encryptRootVolumebooleanOptional
encryptUserVolumebooleanOptional
computeTypestring · max: 200 · nullableOptional
scheduleNamestring · max: 200 · nullableOptional
requiredComputerNamestring · max: 200 · nullableOptional
sandBoxbooleanOptional
Responses
200

OK

No content

post/api/Snow/ProvisionWorkSpace
POST /api/Snow/ProvisionWorkSpace HTTP/1.1
Host: portal.nuvens.cloud/
Content-Type: application/json
Accept: */*
Content-Length: 272

{
  "apiKey": "text",
  "userName": "text",
  "directoryId": "text",
  "bundleId": "text",
  "mode": "text",
  "encryptRootVolume": true,
  "encryptUserVolume": true,
  "tags": [
    {
      "tagName": "text",
      "tagValue": "text"
    }
  ],
  "computeType": "text",
  "scheduleName": "text",
  "requiredComputerName": "text",
  "sandBox": true
}
200

OK

No content

post
Body
apiKeystring · nullableOptional
usernamestring · nullableOptional
computeTypestring · nullableOptional
requesterstring · nullableOptional
workSpaceIdstring · nullableOptional
Responses
200

OK

No content

post/api/Snow/ChangeComputeType
POST /api/Snow/ChangeComputeType HTTP/1.1
Host: portal.nuvens.cloud/
Content-Type: application/json
Accept: */*
Content-Length: 96

{
  "apiKey": "text",
  "username": "text",
  "computeType": "text",
  "requester": "text",
  "workSpaceId": "text"
}
200

OK

No content

Last updated